package leben.ernaehrung;

import leben.lebewesen.Lebewesen;

/**
 * Implementierung der
 * Pflanzlich-Ern&auml;hrung.
 * 
 * @author Heiner K&uuml;cker
 */
public final class PflanzlichErnaehrung
	extends AbstractErnaehrung
{
	/**
	 * Pflanzlich-Ern&auml;hrungs-Methode.
	 * 
	 * @param lebewesenToErnaehr zu ern&auml;hrendes Lebewesen
	 * @see AbstractErnaehrung#ernaehreDich(Lebewesen)
	 */
	@Override
	public void ernaehreDich(
			final Lebewesen lebewesenToErnaehr )
	{
		System.out.println( lebewesenToErnaehr.name + " frisst Pflanzen" );
	}
}
