package leben.fortpflanzung;

import leben.lebewesen.Lebewesen;

/**
 * Implementierung der
 * Fisch-Fortpflanzung.
 * 
 * @author Heiner K&uuml;cker
 */
public final class FischFortpflanzung
	extends AbstractFortpflanzung
{
	/**
	 * Fisch-Fortpflanzungs-Methode.
	 * 
	 * @see leben.fortpflanzung.AbstractFortpflanzung#bewegDich(leben.lebewesen.Lebewesen)
	 */
	@Override
	public void fortpflanzDich(
			final Lebewesen lebewesenToFortpflanz)
	{
		System.out.println( lebewesenToFortpflanz.name + " legt Rogen ab" );
	}

}
