package leben.bewegung;

import leben.lebewesen.Lebewesen;

/**
 * Implementierung der
 * Lauf-Bewegung.
 * 
 * @author Heiner K&uuml;cker
 */
public final class LaufBewegung
	extends AbstractBewegung
{
	/**
	 * Lauf-Bewegungs-Methode.
	 * 
	 * @param lebewesenToBeweg zu bewegendes Lebewesen
	 * @see AbstractBewegung#bewegDich(Lebewesen)
	 */
	@Override
	public void bewegDich(
			final Lebewesen lebewesenToBeweg )
	{
		System.out.println( lebewesenToBeweg.name + " luft" );
	}
}
