package leben.fortpflanzung;

import leben.lebewesen.Lebewesen;

/**
 * Implementierung der
 * S&auml;getier-Fortpflanzung.
 * 
 * @author Heiner K&uuml;cker
 */
public final class SaeugetierFortpflanzung
	extends AbstractFortpflanzung
{
	/**
	 * S&auml;getier-Fortpflanzungs-Methode.
	 * 
	 * @see leben.fortpflanzung.AbstractFortpflanzung#bewegDich(leben.lebewesen.Lebewesen)
	 */
	@Override
	public void fortpflanzDich(
			final Lebewesen lebewesenToFortpflanz)
	{
		System.out.println( lebewesenToFortpflanz.name + " gebiert" );
		System.out.println( lebewesenToFortpflanz.name + " sugt" );
	}

}
